// external imports
import { StyleSheet, Platform } from 'react-native'; // local imports

import { baseDim } from '../../styles';
export var containerSizes = {
  small: {
    height: 7 * baseDim
  },
  medium: {
    height: 10 * baseDim
  },
  large: {
    height: 14 * baseDim
  }
};
export var sizeConstraints = {
  small: {
    minWidth: 100,
    maxWidth: 210
  },
  medium: {
    minWidth: 120,
    maxWidth: 240
  },
  large: {
    minWidth: 150,
    maxWidth: 260
  }
};
export var textSizes = {
  small: {
    fontSize: 14
  },
  medium: {
    fontSize: 16
  },
  large: {
    fontSize: 18
  }
};
export var styles = {
  container: {
    justifyContent: 'center',
    alignItems: 'center',
    borderRadius: 2,
    overflow: 'hidden'
  },
  disabled: Platform.OS === 'web' ? {
    cursor: 'default'
  } : {}
};