function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

// external imports
import * as React from 'react';
import View from "react-native-web/dist/exports/View";
import StyleSheet from "react-native-web/dist/exports/StyleSheet";
import ViewPropTypes from "react-native-web/dist/exports/ViewPropTypes"; // local imports

import { Text, GetTheme } from 'quark-core';

var Label = function Label(_ref) {
  var children = _ref.children,
      value = _ref.value,
      textStyle = _ref.textStyle,
      description = _ref.description,
      _ref$error = _ref.error,
      error = _ref$error === void 0 ? false : _ref$error,
      unused = _objectWithoutProperties(_ref, ["children", "value", "textStyle", "description", "error"]);

  return React.createElement(GetTheme, null, function (_ref2) {
    var red = _ref2.red,
        grey4 = _ref2.grey4;
    return React.createElement(View, unused, React.createElement(View, {
      style: styles.labelContainer
    }, React.createElement(Text, {
      style: _objectSpread({}, styles.labelText, textStyle, error ? {
        color: red
      } : {})
    }, value)), children, React.createElement(View, {
      style: styles.descriptionContainer
    }, React.createElement(Text, {
      style: _objectSpread({}, styles.descriptionText, error ? {
        color: red
      } : {
        color: grey4
      })
    }, description)));
  });
};

var styles = {
  container: {},
  labelContainer: {
    marginBottom: 8
  },
  descriptionContainer: {
    marginTop: 5
  },
  labelText: {
    fontWeight: '500',
    fontSize: 14
  },
  descriptionText: {
    fontSize: 13
  }
};
export default Label;