function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance"); }

function _iterableToArray(iter) { if (Symbol.iterator in Object(iter) || Object.prototype.toString.call(iter) === "[object Arguments]") return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

// external imports
import React from 'react';
import Animated from "react-native-web/dist/exports/Animated"; // local imports

import { FlexRow } from 'quark-core';

var LoaderBubbles =
/*#__PURE__*/
function (_React$Component) {
  _inherits(LoaderBubbles, _React$Component);

  function LoaderBubbles(props) {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, LoaderBubbles);

    for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      args[_key - 1] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(LoaderBubbles)).call.apply(_getPrototypeOf2, [this, props].concat(args))); // create an animated value we will modify

    _this.state = {
      radii: _toConsumableArray(new Array(props.nBubbles)).map(function () {
        return new Animated.Value(2 * _this.props.radius);
      })
    };
    return _this;
  }

  _createClass(LoaderBubbles, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      var _this2 = this;

      this.state.radii.map(function (animatedValue, i) {
        Animated.loop(Animated.sequence([Animated.timing(animatedValue, {
          toValue: 0,
          duration: 500
        }), Animated.timing(animatedValue, {
          toValue: 2 * _this2.props.radius,
          duration: 500
        })])).start();
      });
    }
  }, {
    key: "render",
    value: function render() {
      var _this3 = this;

      var _this$props = this.props,
          r = _this$props.radius,
          nBubbles = _this$props.nBubbles;
      return React.createElement(FlexRow, {
        alignItems: "center",
        justifyContent: "space-around",
        style: {
          height: 2 * r,
          width: 2 * nBubbles * r + (nBubbles - 1) * this._gap
        }
      }, this.state.radii.map(function (_, i) {
        return React.createElement(Animated.View, {
          key: i,
          style: {
            borderRadius: '50%',
            width: _this3.state.radii[0],
            height: _this3.state.radii[0],
            backgroundColor: _this3.props.color
          }
        });
      }));
    }
  }, {
    key: "_gap",
    get: function get() {
      return 2 * this.props.radius;
    }
  }]);

  return LoaderBubbles;
}(React.Component);

_defineProperty(LoaderBubbles, "defaultProps", {
  nBubbles: 3,
  color: '#000000',
  radius: 15
});

export default LoaderBubbles;