function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

// external imports
import * as React from 'react';
import NativeText from "react-native-web/dist/exports/Text";
import TextPropTypes from "react-native-web/dist/exports/TextPropTypes"; // local imports

import { GetTheme } from 'quark-core';
import { h1, h2, h3, title, subtitle, text, link, monospace } from 'quark-core/styles';
import styles from './styles';

// this component assigns the default value to text based on theme
var InnerText = function InnerText(_ref) {
  var style = _ref.style,
      unused = _objectWithoutProperties(_ref, ["style"]);

  return React.createElement(GetTheme, null, function (_ref2) {
    var grey5 = _ref2.grey5;
    return React.createElement(NativeText, _extends({
      style: _objectSpread({
        color: grey5
      }, styles.reset, style)
    }, unused));
  });
};

export var H1 = function H1(_ref3) {
  var style = _ref3.style,
      unused = _objectWithoutProperties(_ref3, ["style"]);

  return React.createElement(InnerText, _extends({
    style: _objectSpread({}, h1, styles.h1, style)
  }, unused));
};
export var H2 = function H2(_ref4) {
  var style = _ref4.style,
      unused = _objectWithoutProperties(_ref4, ["style"]);

  return React.createElement(InnerText, _extends({
    style: _objectSpread({}, h2, styles.h2, style)
  }, unused));
};
export var H3 = function H3(_ref5) {
  var style = _ref5.style,
      unused = _objectWithoutProperties(_ref5, ["style"]);

  return React.createElement(InnerText, _extends({
    style: _objectSpread({}, h3, styles.h3, style)
  }, unused));
};
export var Title = function Title(_ref6) {
  var style = _ref6.style,
      unused = _objectWithoutProperties(_ref6, ["style"]);

  return React.createElement(InnerText, _extends({
    style: _objectSpread({}, title, styles.title, style)
  }, unused));
};
export var Subtitle = function Subtitle(_ref7) {
  var style = _ref7.style,
      unused = _objectWithoutProperties(_ref7, ["style"]);

  return React.createElement(InnerText, _extends({
    style: _objectSpread({}, subtitle, styles.subtitle, style)
  }, unused));
};
export var Text = function Text(_ref8) {
  var style = _ref8.style,
      unused = _objectWithoutProperties(_ref8, ["style"]);

  return React.createElement(InnerText, _extends({
    style: _objectSpread({}, text, styles.text, style)
  }, unused));
};
export var Link = function Link(_ref9) {
  var style = _ref9.style,
      unused = _objectWithoutProperties(_ref9, ["style"]);

  return React.createElement(InnerText, _extends({
    style: _objectSpread({}, link, styles.link, style)
  }, unused));
};
export var Monospace = function Monospace(_ref10) {
  var style = _ref10.style,
      unused = _objectWithoutProperties(_ref10, ["style"]);

  return React.createElement(InnerText, _extends({
    style: _objectSpread({}, monospace, styles.monospace, style)
  }, unused));
};